---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.49
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: controller-manager-fz2vw
      namespace: openshift-controller-manager
      resourceVersion: "27275"
      uid: f6860fbf-5622-408c-a1e8-61158b6ed33c
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.129.0.34
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: controller-manager-ndhqq
      namespace: openshift-controller-manager
      resourceVersion: "27296"
      uid: 50baaf45-ee6e-435c-a038-fbb8bc1350b4
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.128.0.49
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: controller-manager-pcvtn
      namespace: openshift-controller-manager
      resourceVersion: "27321"
      uid: 28e61834-51bd-4036-a37b-7314346e5b35
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:02:07Z"
    creationTimestamp: "2022-03-08T10:38:54Z"
    generateName: controller-manager-
    generation: 11
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: controller-manager
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"4b2a7d0c-a13c-4d94-8313-9dff835f65c7"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T11:02:04Z"
    name: controller-manager-6lrzw
    namespace: openshift-controller-manager
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: controller-manager
      uid: 4b2a7d0c-a13c-4d94-8313-9dff835f65c7
    resourceVersion: "27323"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-controller-manager/endpointslices/controller-manager-6lrzw
    uid: e3601f2e-218b-437b-84b5-bf184bf609b6
  ports:
  - name: https
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "83378"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-controller-manager/endpointslices
